itpp::it_file_base Class Reference
Base Module » IT++ File Format

Base class for it_ifile and it_file. More...

`#include <itpp/base/itfile.h>`

Inheritance diagram for itpp::it_file_base:

## Classes

struct | data_header
| Data header structure. More...
struct | file_header
| File header structure. More...

## Static Protected Attributes

static char | file_magic [4] = { 'I', 'T', '+', '+' }
| IT++ file marker: "IT++".
static char | file_version = 3
| IT++ file version.

## Detailed Description

Base class for it_ifile and it_file.

Definition at line 94 of file itfile.h.

The documentation for this class was generated from the following files:

- itpp/base/itfile.h
- itpp/base/itfile.cpp

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17